Target version:    

Description

I was just wondering if it would be useful to have total-columns inside the issue summary (issue_report) and the related issue_report

detail-views.

Such a functionality would, for example, make it easier to look-up:

how many issues are open/closed which are targetted to any version.

how many issues are open/closed in general (cross-tracker, thus the total number of issues on a project)

resulting of the above; make it easy to see how many non-versioned issues exists.

An example of what I'm talking about could look like:

 issues_report-mod-new.jpg 

Related issues:

Related to Redmine - Feature #691: Add column totals to Issues Summary Report Closed 2008-02-19

History

#1 - 2008-12-05 22:06 - Markus Knittig

- File total_columns.diff added

I like it. Here's a quick patch...

#2 - 2008-12-05 23:42 - Mischa The Evil

Markus Knittig wrote:

I like it. Here's a quick patch...

 Thanks for that patch... It looks quite neat and slick. I like it... :-)

#3 - 2009-01-19 06:36 - Ewan Makepeace

What is the difference between this patch and #691 ?

#4 - 2009-01-19 17:46 - Mischa The Evil

Ewan Makepeace wrote:

What is the difference between this patch and #691 ?

 Almost identical. The patch from #691 also provides links on the totals which redirects to the issuelist with the required filters applied. This isn't

something I use/require...

AFAICT this patch by Markus Knittig seems a bit more clean without hard-coded strings and so on...

I didn't found #691 before opening this issue... I'll relate them since they both implement it slightly different...

Good eye!

#5 - 2009-03-29 23:57 - Mischa The Evil

- Tracker changed from Feature to Patch

2025-08-23 1/2

https://www.redmine.org/issues/691
https://www.redmine.org/issues/691
https://www.redmine.org/issues/691
https://www.redmine.org/issues/691


#6 - 2019-02-15 15:24 - Anonymous

It could be a penalty to performance if there are too many versions, too many categories and etc as it introduces additional for loops. This IMHO

would be a lot cheaper to do on the front end instead, but it would require correct classification of columns containing numbers.

P.S. possibly this ticket not really related to UI.

#7 - 2024-10-26 08:40 - Go MAEDA

- Status changed from New to Closed

Implemented in r23163.
